// Code generated by protoc-gen-go. DO NOT EDIT.
// source: model/contact.proto

/*
Package model is a generated protocol buffer package.

It is generated from these files:
	model/contact.proto

It has these top-level messages:
	Contact
	Book
*/
package model

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Contact struct {
	Namber  string `protobuf:"bytes,1,opt,name=namber" json:"namber,omitempty"`
	Name    string `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Address string `protobuf:"bytes,3,opt,name=address" json:"address,omitempty"`
}

func (m *Contact) Reset()                    { *m = Contact{} }
func (m *Contact) String() string            { return proto.CompactTextString(m) }
func (*Contact) ProtoMessage()               {}
func (*Contact) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Contact) GetNamber() string {
	if m != nil {
		return m.Namber
	}
	return ""
}

func (m *Contact) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Contact) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

type Book struct {
	Contact []*Contact `protobuf:"bytes,1,rep,name=contact" json:"contact,omitempty"`
}

func (m *Book) Reset()                    { *m = Book{} }
func (m *Book) String() string            { return proto.CompactTextString(m) }
func (*Book) ProtoMessage()               {}
func (*Book) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Book) GetContact() []*Contact {
	if m != nil {
		return m.Contact
	}
	return nil
}

func init() {
	proto.RegisterType((*Contact)(nil), "model.Contact")
	proto.RegisterType((*Book)(nil), "model.Book")
}

func init() { proto.RegisterFile("model/contact.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 141 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0xce, 0xcd, 0x4f, 0x49,
	0xcd, 0xd1, 0x4f, 0xce, 0xcf, 0x2b, 0x49, 0x4c, 0x2e, 0xd1, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x17,
	0x62, 0x05, 0x0b, 0x2a, 0xf9, 0x73, 0xb1, 0x3b, 0x43, 0xc4, 0x85, 0xc4, 0xb8, 0xd8, 0xf2, 0x12,
	0x73, 0x93, 0x52, 0x8b, 0x24, 0x18, 0x15, 0x18, 0x35, 0x38, 0x83, 0xa0, 0x3c, 0x21, 0x21, 0x2e,
	0x96, 0xbc, 0xc4, 0xdc, 0x54, 0x09, 0x26, 0xb0, 0x28, 0x98, 0x2d, 0x24, 0xc1, 0xc5, 0x9e, 0x98,
	0x92, 0x52, 0x94, 0x5a, 0x5c, 0x2c, 0xc1, 0x0c, 0x16, 0x86, 0x71, 0x95, 0x0c, 0xb8, 0x58, 0x9c,
	0xf2, 0xf3, 0xb3, 0x85, 0x34, 0xb8, 0xd8, 0xa1, 0x16, 0x4a, 0x30, 0x2a, 0x30, 0x6b, 0x70, 0x1b,
	0xf1, 0xe9, 0x81, 0x6d, 0xd4, 0x83, 0x5a, 0x17, 0x04, 0x93, 0x4e, 0x62, 0x03, 0x3b, 0xc8, 0x18,
	0x10, 0x00, 0x00, 0xff, 0xff, 0xe3, 0xff, 0x34, 0x33, 0xa7, 0x00, 0x00, 0x00,
}
